Bug 185401

Summary: [PATCH] editors/openoffice-4 fix build on 10.0: nss (gcc46), vlc (freetype), moz (freetype)
Product: Ports & Packages Reporter: me
Component: Individual Port(s)Assignee: FreeBSD Office Team <office>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description me 2014-01-01 22:30:00 UTC
editors/openoffice-4 does not build for on 10.0 for two reasons:
1. gcc is called but only gcc46 is present by the module nss.
2. freetype headers are expected to be under freetype/ by the modules vlc and moz, which is not the case anymore.

Fix: The patch attached fixes the build on 10.0-RC3/amd64.

In nss, misc/build/nss-3.12.6/mozilla/security/coreconf/FreeBSD.mk sets CC to gcc, although it is already properly set for example to gcc46. This needs to be fixed via a patch for FreeBSD in nss, since the file  mentioned above is not present upon extraction.

freetype/ can simply be removed in vlc, but in moz, it is present in several files extracted later or generated later and needs a patch in that module.

Patch attached with submission follows:
How-To-Repeat: Try to build editors/openoffice-4 on 10.0-RC3/amd64 or any other system without the binary "gcc". For the second problem, try to build editors/openoffice-4 after the recent freetype update relocating the freetype headers.
Comment 1 Edwin Groothuis freebsd_committer 2014-01-01 22:30:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-01-22 05:44:41 UTC
Author: maho
Date: Wed Jan 22 05:44:33 2014
New Revision: 340680
URL: http://svnweb.freebsd.org/changeset/ports/340680
QAT: https://qat.redports.org/buildarchive/r340680/

Log:
  Fix build
  
  PR:		185401
  Submitted by:	 	Jan Henrik Sylvester <me@janh.de>

Added:
  head/editors/openoffice-4/files/patch-moz-freetype_header_relocation   (contents, props changed)
  head/editors/openoffice-4/files/patch-nss-gcc46   (contents, props changed)
  head/editors/openoffice-4/files/patch-vcl_source_glyphs_graphite_adaptors.cxx   (contents, props changed)

Added: head/editors/openoffice-4/files/patch-moz-freetype_header_relocation
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/openoffice-4/files/patch-moz-freetype_header_relocation	Wed Jan 22 05:44:33 2014	(r340680)
@@ -0,0 +1,73 @@
+--- moz/makefile.mk.orig	2013-08-13 11:49:32.000000000 +0000
++++ moz/makefile.mk	2014-01-01 20:09:17.000000000 +0000
+@@ -99,7 +99,8 @@
+     patches/respect_disable_pango.patch \
+     patches/arm_build_fix.patch \
+     patches/link_fontconfig.patch \
+-    patches/brokenmakefile.patch
++    patches/brokenmakefile.patch \
++    patches/freetype_header_relocation.patch
+ 
+ .IF "$(OS)"=="LINUX"
+ PATCH_FILES+=patches/nss_linux.patch
+--- moz/patches/freetype_header_relocation.patch.orig	1970-01-01 00:00:00.000000000 +0000
++++ moz/patches/freetype_header_relocation.patch	2014-01-01 20:50:11.000000000 +0000
+@@ -0,0 +1,58 @@
++--- misc/build/mozilla/config/system-headers.orig	2007-11-19 21:36:18.000000000 +0100
+++++ misc/build/mozilla/config/system-headers	2014-01-01 20:47:56.000000000 +0100
++@@ -193,12 +193,12 @@
++ fpieee.h
++ frame/log.h
++ frame/req.h
++-freetype/freetype.h
++-freetype/ftcache.h
++-freetype/ftglyph.h
++-freetype/ftoutln.h
++-freetype/ttnameid.h
++-freetype/tttables.h
+++freetype.h
+++ftcache.h
+++ftglyph.h
+++ftoutln.h
+++ttnameid.h
+++tttables.h
++ fribidi/fribidi.h
++ FSp_fopen.h
++ fstream.h
++--- misc/build/mozilla/gfx/src/gtk/nsFontMetricsXft.cpp.orig	2008-01-29 19:31:08.000000000 +0000
+++++ misc/build/mozilla/gfx/src/gtk/nsFontMetricsXft.cpp	2014-01-01 20:43:42.000000000 +0000
++@@ -67,8 +67,8 @@
++ #include "nsFontConfigUtils.h"
++ 
++ #include <gdk/gdkx.h>
++-#include <freetype/tttables.h>
++-#include <freetype/freetype.h>
+++#include <tttables.h>
+++#include <freetype.h>
++ 
++ #define FORCE_PR_LOG
++ #include "prlog.h"
++--- misc/build/mozilla/gfx/src/gtk/nsFontMetricsPango.cpp.orig	2008-01-29 19:31:08.000000000 +0000
+++++ misc/build/mozilla/gfx/src/gtk/nsFontMetricsPango.cpp	2014-01-01 20:44:06.000000000 +0000
++@@ -58,7 +58,7 @@
++ #include <fontconfig/fontconfig.h>
++ #include <gdk/gdk.h>
++ #include <gdk/gdkx.h>
++-#include <freetype/tttables.h>
+++#include <tttables.h>
++ 
++ #include "mozilla-decoder.h"
++ 
++--- misc/build/mozilla/gfx/src/cairo/nsFontMetricsXft.cpp.orig	2008-01-29 19:31:08.000000000 +0000
+++++ misc/build/mozilla/gfx/src/cairo/nsFontMetricsXft.cpp	2014-01-01 20:44:34.000000000 +0000
++@@ -67,8 +67,8 @@
++ #include "nsFontConfigUtils.h"
++ 
++ #include <gdk/gdkx.h>
++-#include <freetype/tttables.h>
++-#include <freetype/freetype.h>
+++#include <tttables.h>
+++#include <freetype.h>
++ 
++ #define FORCE_PR_LOG
++ #include "prlog.h"

Added: head/editors/openoffice-4/files/patch-nss-gcc46
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/openoffice-4/files/patch-nss-gcc46	Wed Jan 22 05:44:33 2014	(r340680)
@@ -0,0 +1,27 @@
+--- nss/makefile.mk.orig	2013-08-13 11:46:06.000000000 +0000
++++ nss/makefile.mk	2014-01-01 18:13:26.000000000 +0000
+@@ -44,6 +44,10 @@
+ TARFILE_ROOTDIR=nss-3.12.6
+ PATCH_FILES=nss.patch
+ 
++.IF "$(OS)"=="FREEBSD"
++PATCH_FILES+=nss_freebsd.patch
++.ENDIF # "$(OS)"=="FREEBSD"
++
+ .IF "$(OS)"=="MACOSX"
+ MACOS_SDK_DIR=/Developer/SDKs/MacOSX10.4u.sdk
+ .EXPORT : MACOS_SDK_DIR
+--- nss/nss_freebsd.patch.orig	1970-01-01 00:00:00.000000000 +0000
++++ nss/nss_freebsd.patch	2014-01-01 18:08:20.000000000 +0000
+@@ -0,0 +1,11 @@
++--- misc/build/nss-3.12.6/mozilla/security/coreconf/FreeBSD.mk.orig	2009-08-22 05:33:09.000000000 +0000
+++++ misc/build/nss-3.12.6/mozilla/security/coreconf/FreeBSD.mk	2014-01-01 13:47:48.000000000 +0000
++@@ -38,7 +38,7 @@
++ include $(CORE_DEPTH)/coreconf/UNIX.mk
++ 
++ DEFAULT_COMPILER	= gcc
++-CC			= gcc
+++#CC			= gcc
++ CCC			= g++
++ RANLIB			= ranlib
++ 

Added: head/editors/openoffice-4/files/patch-vcl_source_glyphs_graphite_adaptors.cxx
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/openoffice-4/files/patch-vcl_source_glyphs_graphite_adaptors.cxx	Wed Jan 22 05:44:33 2014	(r340680)
@@ -0,0 +1,11 @@
+--- vcl/source/glyphs/graphite_adaptors.cxx.orig	2013-08-13 11:45:43.000000000 +0000
++++ vcl/source/glyphs/graphite_adaptors.cxx	2013-12-31 16:39:41.000000000 +0000
+@@ -45,7 +45,7 @@
+ 
+ #include <salgdi.hxx>
+ 
+-#include <freetype/ftsynth.h>
++#include <ftsynth.h>
+ 
+ // Module
+ #include "gcach_ftyp.hxx"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Raphael Kubo da Costa freebsd_committer 2014-01-25 20:19:54 UTC
State Changed
From-To: open->closed

Committed in r340680.